import { da, id } from "element-plus/es/locale";

export const getMockData = async () => {
  const records = [
    {
      id: 1,
      reportCode: "RC001",
      reportName: "报告A",
      reportType: "1",
      creator: "张三",
      created: "2025-03-22",
      genDate: "2025-03-22",
    },
    {
      id: 2,
      reportCode: "RC002",
      reportName: "报告B",
      reportType: "2",
      creator: "李四",
      created: "2025-03-22",
      genDate: "2025-03",
    },
    {
      id: 3,
      reportCode: "RC003",
      reportName: "报告C",
      reportType: "1",
      creator: "王五",
      created: "2025-03-22",
      genDate: "2025-03-22",
    },
    {
      id: 4,
      reportCode: "RC004",
      reportName: "报告D",
      reportType: "2",
      creator: "赵六",
      created: "2025-03-22",
      genDate: "2025-03",
    },
    {
      id: 5,
      reportCode: "RC005",
      reportName: "报告E",
      reportType: "1",
      creator: "孙七",
      created: "2025-03-22",
      genDate: "2025-03-22",
    },
    {
      id: 6,
      reportCode: "RC006",
      reportName: "报告F",
      reportType: "2",
      creator: "周八",
      created: "2025-03-22",
      genDate: "2025-03",
    },
    {
      id: 7,
      reportCode: "RC007",
      reportName: "报告G",
      reportType: "1",
      creator: "吴九",
      created: "2025-03-22",
      genDate: "2025-03-22",
    },
    {
      id: 8,
      reportCode: "RC008",
      reportName: "报告H",
      reportType: "2",
      creator: "郑十",
      created: "2025-03-22",
      genDate: "2025-03",
    },
    {
      id: 9,
      reportCode: "RC009",
      reportName: "报告I",
      reportType: "1",
      creator: "冯十一",
      created: "2025-03-22",
      genDate: "2025-03-22",
    },
    {
      id: 10,
      reportCode: "RC010",
      reportName: "报告J",
      reportType: "2",
      creator: "陈十二",
      created: "2025-03-22",
      genDate: "2025-03",
    },
    {
      id: 11,
      reportCode: "RC011",
      reportName: "报告K",
      reportType: "1",
      creator: "褚十三",
      created: "2025-03-22",
      genDate: "2025-03-22",
    },
    {
      id: 12,
      reportCode: "RC012",
      reportName: "报告L",
      reportType: "2",
      creator: "卫十四",
      created: "2025-03-22",
      genDate: "2025-03",
    },
  ];
  return {
    data: {
      records: records,
      totalCount: records.length,
    },
  };
};

export const moduleScreeningData = ref([
  {
    id: 1,
    model: "TM157-C",
    batch: "2401",
    preInspection: { quantity: 2, rejects: 0 },
    highTempStorage: { quantity: 2, rejects: 0 },
    tempCycle: { quantity: 2, rejects: 0 },
    randomVibration: { quantity: 2, rejects: 0 },
    electricalTest: { quantity: 2, rejects: 0 },
    aging: { quantity: 2, rejects: 0 },
    finalElectricalTest: { quantity: 2, rejects: 0 },
    externalInspection: { quantity: 2, rejects: 0 },
  },
  {
    id: 2,
    model: "HJ-195C",
    batch: "2405",
    preInspection: { quantity: 11, rejects: 0 },
    highTempStorage: { quantity: 11, rejects: 0 },
    tempCycle: { quantity: 11, rejects: 0 },
    randomVibration: { quantity: 11, rejects: 0 },
    electricalTest: { quantity: 11, rejects: 0 },
    aging: { quantity: 11, rejects: 0 },
    finalElectricalTest: { quantity: 11, rejects: 0 },
    externalInspection: { quantity: 11, rejects: 0 },
  },
  {
    id: 3,
    model: "TM591",
    batch: "2312",
    preInspection: { quantity: 10, rejects: 0 },
    highTempStorage: { quantity: 10, rejects: 0 },
    tempCycle: { quantity: 10, rejects: 0 },
    randomVibration: { quantity: 10, rejects: 0 },
    electricalTest: { quantity: 10, rejects: 0 },
    aging: { quantity: 10, rejects: 0 },
    finalElectricalTest: { quantity: 10, rejects: 0 },
    externalInspection: { quantity: 10, rejects: 0 },
  },
  {
    id: 4,
    model: "TM665",
    batch: "2403",
    preInspection: { quantity: 2, rejects: 0 },
    highTempStorage: { quantity: 2, rejects: 0 },
    tempCycle: { quantity: 2, rejects: 0 },
    randomVibration: { quantity: 2, rejects: 0 },
    electricalTest: { quantity: 2, rejects: 0 },
    aging: { quantity: 2, rejects: 0 },
    finalElectricalTest: { quantity: 2, rejects: 0 },
    externalInspection: { quantity: 2, rejects: 0 },
  },
  {
    id: 5,
    model: "TP28DC3A",
    batch: "2406",
    preInspection: { quantity: 6, rejects: 0 },
    highTempStorage: { quantity: 6, rejects: 0 },
    tempCycle: { quantity: 6, rejects: 0 },
    randomVibration: { quantity: 6, rejects: 0 },
    electricalTest: { quantity: 6, rejects: 0 },
    aging: { quantity: 6, rejects: 0 },
    finalElectricalTest: { quantity: 6, rejects: 0 },
    externalInspection: { quantity: 6, rejects: 0 },
  },
  {
    id: 6,
    model: "TS200DC28S28S(K)",
    batch: "2406",
    preInspection: { quantity: 5, rejects: 0 },
    highTempStorage: { quantity: 5, rejects: 0 },
    tempCycle: { quantity: 5, rejects: 0 },
    randomVibration: { quantity: 5, rejects: 0 },
    electricalTest: { quantity: 5, rejects: 0 },
    aging: { quantity: 5, rejects: 0 },
    finalElectricalTest: { quantity: 5, rejects: 0 },
    externalInspection: { quantity: 5, rejects: 0 },
  },
  {
    id: 7,
    model: "TM535G",
    batch: "2312",
    preInspection: { quantity: 5, rejects: 0 },
    highTempStorage: { quantity: 5, rejects: 0 },
    tempCycle: { quantity: 5, rejects: 0 },
    randomVibration: { quantity: 5, rejects: 0 },
    electricalTest: { quantity: 5, rejects: 0 },
    aging: { quantity: 5, rejects: 0 },
    finalElectricalTest: { quantity: 5, rejects: 0 },
    externalInspection: { quantity: 5, rejects: 0 },
  },
]);

export const consistencyTestData = ref([
  {
    id: 1,
    model: "JTH80DC28S12LB0G",
    batch: "2404",
    inspectionStatus: "正在进行",
    sampleQuantity: "13",
  },
  {
    id: 2,
    model: "JTPM75RSK060Mb",
    batch: "2411",
    inspectionStatus: "正在进行",
    sampleQuantity: "13",
  },
  {
    id: 3,
    model: "JTH121MC",
    batch: "2415",
    inspectionStatus: "已完成",
    sampleQuantity: "10",
  },
  {
    id: 4,
    model: "JTH707MC",
    batch: "2415",
    inspectionStatus: "已完成",
    sampleQuantity: "10",
  },
  {
    id: 5,
    model: "JTH120DC28S28LB0G",
    batch: "2406",
    inspectionStatus: "正在进行",
    sampleQuantity: "13",
  },
  {
    id: 6,
    model: "JTH20DC28D±18QL0G",
    batch: "2413",
    inspectionStatus: "正在进行",
    sampleQuantity: "16+2 只不合格品",
  },
  {
    id: 7,
    model: "JTH15DC28S5SQG",
    batch: "2350",
    inspectionStatus: "正在进行",
    sampleQuantity: "10",
  },
  {
    id: 8,
    model: "JTH40DC28D±15PL0G",
    batch: "2324",
    inspectionStatus: "正在进行",
    sampleQuantity: "10",
  },
  {
    id: 9,
    model: "TH329HMC",
    batch: "2415",
    inspectionStatus: "正在进行",
    sampleQuantity: "10",
  },
  {
    id: 10,
    model: "JTH163",
    batch: "2416",
    inspectionStatus: "已完成",
    sampleQuantity: "3+2 只不合格品（周期性检验）",
  },
  {
    id: 11,
    model: "JTH437MC",
    batch: "2418",
    inspectionStatus: "正在进行",
    sampleQuantity: "10",
  },
  {
    id: 12,
    model: "JTH20DC28S5QL-B",
    batch: "2417",
    inspectionStatus: "正在进行",
    sampleQuantity: "13",
  },
  {
    id: 13,
    model: "JTH20DC28S12NHMC",
    batch: "2418",
    inspectionStatus: "正在进行",
    sampleQuantity: "3+2 只不合格品（周期性检验）",
  },
  {
    id: 14,
    model: "JTH121MC",
    batch: "2420",
    inspectionStatus: "正在进行",
    sampleQuantity: "3 只不合格品（周期性检验）",
  },
  {
    id: 15,
    model: "JTH20DC28S12NHMC",
    batch: "2423",
    inspectionStatus: "正在进行",
    sampleQuantity: "3（周期性检验）",
  },
  {
    id: 16,
    model: "JTPM75RSK060Mb",
    batch: "2424",
    inspectionStatus: "正在进行",
    sampleQuantity: "3+2 只不合格品（周期性检验）",
  },
  {
    id: 17,
    model: "JTH117MC",
    batch: "2425",
    inspectionStatus: "正在进行",
    sampleQuantity: "10",
  },
  {
    id: 18,
    model: "JTH422GMC",
    batch: "2421",
    inspectionStatus: "正在进行",
    sampleQuantity: "10",
  },
  {
    id: 19,
    model: "MTPM2209-P1(底座)",
    batch: "2412",
    inspectionStatus: "正在进行",
    sampleQuantity: "10（周期性检验）",
  },
  {
    id: 20,
    model: "MTPM2211-P1a（底座）",
    batch: "2412",
    inspectionStatus: "已完成",
    sampleQuantity: "20",
  },
  {
    id: 21,
    model: "MTPM2211-P1a（盖板）",
    batch: "2352",
    inspectionStatus: "已完成",
    sampleQuantity: "15",
  },
  {
    id: 22,
    model: "MSPM2620-P3(底座)",
    batch: "2415",
    inspectionStatus: "正在进行",
    sampleQuantity: "20",
  },
]);

export const productAcceptanceData = ref([
  {
    id: 1,
    model: "JTH80DC28S12LB0G",
    batch: "2404",
    sampleQuantity: 13,
  },
  {
    id: 2,
    model: "JTPM75RSK060Mb",
    batch: "2411",
    sampleQuantity: 13,
  },
  {
    id: 3,
    model: "JTH121MC",
    batch: "2415",
    sampleQuantity: 10,
  },
  {
    id: 4,
    model: "JTH707MC",
    batch: "2415",
    sampleQuantity: 10,
  },
  {
    id: 5,
    model: "JTH120DC28S28LB0G",
    batch: "2406",
    sampleQuantity: 13,
  },
  {
    id: 6,
    model: "JTH20DC28D±18QL0G",
    batch: "2413",
    sampleQuantity: 18,
  },
  {
    id: 7,
    model: "JTH15DC28S5SQG",
    batch: "2350",
    sampleQuantity: 10,
  },
  {
    id: 8,
    model: "JTH40DC28D±15PL0G",
    batch: "2324",
    sampleQuantity: 10,
  },
  {
    id: 9,
    model: "TH329HMC",
    batch: "2415",
    sampleQuantity: 10,
  },
  {
    id: 10,
    model: "JTH163",
    batch: "2416",
    sampleQuantity: 5,
  },
  {
    id: 11,
    model: "JTH437MC",
    batch: "2418",
    sampleQuantity: 10,
  },
  {
    id: 12,
    model: "JTH20DC28S5QL-B",
    batch: "2417",
    sampleQuantity: 13,
  },
  {
    id: 13,
    model: "JTH20DC28S12NHMC",
    batch: "2418",
    sampleQuantity: 5,
  },
  {
    id: 14,
    model: "JTH121MC",
    batch: "2420",
    sampleQuantity: 3,
  },
  {
    id: 15,
    model: "JTH20DC28S12NHMC",
    batch: "2423",
    sampleQuantity: 3,
  },
  {
    id: 16,
    model: "JTPM75RSK060Mb",
    batch: "2424",
    sampleQuantity: 5,
  },
  {
    id: 17,
    model: "JTH117MC",
    batch: "2425",
    sampleQuantity: 10,
  },
  {
    id: 18,
    model: "JTH422GMC",
    batch: "2421",
    sampleQuantity: 10,
  },
  {
    id: 19,
    model: "MTPM2209-P1(底座)",
    batch: "2412",
    sampleQuantity: 10,
  },
  {
    id: 20,
    model: "MTPM2211-P1a（底座）",
    batch: "2412",
    sampleQuantity: 20,
  },
  {
    id: 21,
    model: "MTPM2211-P1a（盖板）",
    batch: "2352",
    sampleQuantity: 15,
  },
  {
    id: 22,
    model: "MSPM2620-P3(底座)",
    batch: "2415",
    sampleQuantity: 20,
  },
]);
